GTAGS(1)

NAME
gtags - create tag files for global.

SYNOPSIS
gtags [-c] [-i] [-o] [-w] [-v] [dbpath]

DESCRIPTION
Gtags makes GTAGS, GRTAGS, GSYMS and GPATH file for global(1). Gtags trace subdirectories, read source files, locate symbols and save the information into tag files. C, yacc, java and assembler source files are supported. You should execute this command at the root of the source tree.

If your source directory is on a read only device like CDROM, specify dbpath of the directory on which make tag files.

-c  make tag files with compact format.

-i  update tag files incrementally.

-o  suppress making GSYMS file. Use this option if you don't use -s option of global(1).

-w  print warning messages.

-v  verbose mode.

FILES
GTAGS
    tag file for function definitions.
GRTAGS
    tag file for function references.
GSYMS
    tag file for other symbols.
GPATH
    path index file which is used for incremental updating and compact format.

DIAGNOSTICS
Gtags exits with a non 0 value if an error occurred, 0 otherwise.

SEE ALSO
btreeop(1), global(1), htags(1), vi(1).

BUG
GTAGS, GRTAGS and GSYMS are very large. In advance of using this command, check the space of your disk.
Assembler support is far from complete. It extracts only ENTRY() and ALTENTRY() from source file. Probably valid only for FreeBSD and Linux kernel source.
There is no concurrency control about tag files.

AUTHORS
Shigio Yamaguchi (shigio@wafu.netgate.net)

HISTORY
The gtags command appeared in FreeBSD 2.2.2.